# Get deploy

Get deploy by its hash.

```
GET /deploys/{deploy_hash}
```

## Query params

None

## Sorting

None

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the deploy caller |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                |
| `caller_cspr_name`         | `string`                                                                              | Primary CSPR.name of the deploy caller account                                                              |
| `contract_package`         | `ContractPackage`                                                                     | `ContractPackage` entity.                                                                                   |
| `contract`                 | `Contract`                                                                            | `Contract` entity.                                                                                          |
| `contract_entrypoint`      | `ContractEntrypoint`                                                                  | `ContractEntrypoint` entity.                                                                                |
| `rate`                     | `float32`                                                                             | CSPR rate for specified currency that was relevant at the moment of deploy creation.                        |
| `transfers`                | \[][`Transfer`](https://docs.cspr.cloud/rest-api/transfer)                            | List of `Transfer` entities.                                                                                |
| `nft_token_actions`        | \[] [`NFTTokenAction`](https://docs.cspr.cloud/rest-api/non-fungible-token-action)    | List of `NFTTokenAction` entities.                                                                          |
| `ft_token_actions`         | \[] [`FTTokenAction`](https://docs.cspr.cloud/rest-api/fungible-token-action)         | List of `Fungible token action` entities.                                                                   |

## Response

[`Deploy`](https://docs.cspr.cloud/rest-api/deploy)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/deploys/88461218a5e972fcda1d764d7cc4edb2e0c3a538123b97890d484f43c55935f5' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "args": {
      "amount": {
        "cl_type": "U512",
        "parsed": "2500000000"
      },
      "id": {
        "cl_type": {
          "Option": "U64"
        },
        "parsed": null
      },
      "target": {
        "cl_type": {
          "ByteArray": 32
        },
        "parsed": "536345751b7c6c6299d5ef10862d76736ed062bc32c1dabcd1179c06469d93ca"
      }
    },
    "block_hash": "d76b4ce5281f2306911a0e5e9ac0b29f1f4daf36f4636e78599ce64a7f7528a1",
    "block_height": 2404577,
    "caller_hash": "048a54220799a48171743407c086668bdcc788e2a31e4185fe52d0682634f888",
    "caller_public_key": "020304811a7b142c32860cb1c114f23b0754215918d819f485b0a201af6cde70fa6c",
    "consumed_gas": "100000000",
    "contract_hash": "010c3fe81b7b862e50c77ef9a958a05bfa98444f26f96f23d37a13c96244cfb7",
    "contract_package_hash": "9824d60dc3a5c44a20b9fd260a412437933835b52fc683d8ae36e4ec2114843e",
    "cost": "100000000",
    "deploy_hash": "88461218a5e972fcda1d764d7cc4edb2e0c3a538123b97890d484f43c55935f5",
    "entry_point_id": 10,
    "error_message": null,
    "execution_type_id": 6,
    "gas_price_limit": 1,
    "is_standard_payment": false,
    "payment_amount": "100000000",
    "pricing_mode_id": 0,
    "refund_amount": "0",
    "runtime_type_id": 0,
    "status": "processed",
    "timestamp": "2024-01-08T15:24:47Z",
    "version_id": 0
  }
}
```
